import request from '../utils/request.js';
import requestWhite from '../utils/requestWhite.js';

import Qs from 'qs';

export function merchantUser(data) {
	return requestWhite({
		jp_identity:"merchantUser",// 分润接口
		method: 'post',
		data: Qs.stringify(data),
		url: '/mobile/merchantUser'
	})
}

export function findByOpenId(data) {
	var url='/mobile/merchantUser/findByOpenId';
	return requestWhite({
		jp_identity:"merchantUser",// 分润接口
		method: 'get',
		data: data,
		url: url
	})
}



export function validateCode(data) {
	 
	return requestWhite({
		method: 'post',
			jp_identity:"merchantUser",// 分润接口
		data:data ,
		url: '/mobile/merchantUser/validateCode'
	})
} 

export function getVerifyCode(tel) {
	 
	return requestWhite({
		method: 'post',
		jp_identity:"merchantUser",// 分润接口
		data:{
			telephone:tel
		} ,
		url: '/mobile/merchantUser/getVerifyCode'
	})
} 